Debian Bug report logs - #484045
insighttoolkit_3.6.0-3(hppa/unstable): FTBFS: missing linux/user.h

Package: general; Maintainer for general is debian-devel@lists.debian.org;

Reported by: lamont@debian.org

Date: Mon, 2 Jun 2008 03:27:04 UTC

Severity: serious

Done: LaMont Jones <lamont@mmjgroup.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#484045; Package insighttoolkit. Full text and rfc822 format available.

Acknowledgement sent to lamont@debian.org:
New Bug report received and forwarded. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: lamont@debian.org
To: submit@bugs.debian.org
Subject: insighttoolkit_3.6.0-3(hppa/unstable): FTBFS: missing linux/user.h
Date: Sun, 1 Jun 2008 21:25:11 -0600
Package: insighttoolkit
Version: 3.6.0-3
Severity: serious

There was an error while trying to autobuild your package:

> Automatic build of insighttoolkit_3.6.0-3 on penalosa by sbuild/hppa 98
> Build started at 20080601-1519

[...]

> ** Using build dependencies supplied by package:
> Build-Depends: cdbs (>= 0.4.49), quilt, debhelper (>= 5), cmake, cableswig, gccxml (>= 0.9.0+cvs20080525), zlib1g-dev (>= 1.2.2), libpng12-dev, libtiff4-dev (>= 3.7.3), python-support (>= 0.6.4), python-dev, python-numarray, libfftw3-dev, tcl8.4-dev, tk8.4-dev

[...]

> /usr/bin/c++   -Ditksys_EXPORTS -Wno-deprecated  -ftemplate-depth-50 -O2 -g -fPIC -I/build/buildd/insighttoolkit-3.6.0/Build -I/build/buildd/insighttoolkit-3.6.0/Code/Algorithms -I/build/buildd/insighttoolkit-3.6.0/Code/BasicFilters -I/build/buildd/insighttoolkit-3.6.0/Code/Common -I/build/buildd/insighttoolkit-3.6.0/Code/Numerics -I/build/buildd/insighttoolkit-3.6.0/Code/IO -I/build/buildd/insighttoolkit-3.6.0/Code/Numerics/FEM -I/build/buildd/insighttoolkit-3.6.0/Code/Numerics/Statistics -I/build/buildd/insighttoolkit-3.6.0/Code/Numerics/NeuralNetworks -I/build/buildd/insighttoolkit-3.6.0/Code/SpatialObject -I/build/buildd/insighttoolkit-3.6.0/Utilities/MetaIO -I/build/buildd/insighttoolkit-3.6.0/Utilities/NrrdIO -I/build/buildd/insighttoolkit-3.6.0/Build/Utilities/NrrdIO -I/build/buildd/insighttoolkit-3.6.0/Utilities/DICOMParser -I/build/buildd/insighttoolkit-3.6.0/Build/Utilities/DICOMParser -I/build/buildd/insighttoolkit-3.6.0/Build/Utilities/expat -I/build/buildd/insighttoolkit-3.6.0/Utilities/expat -I/build/buildd/insighttoolkit-3.6.0/Utilities/nifti/niftilib -I/build/buildd/insighttoolkit-3.6.0/Utilities/nifti/znzlib -I/build/buildd/insighttoolkit-3.6.0/Utilities/itkExtHdrs -I/build/buildd/insighttoolkit-3.6.0/Build/Utilities -I/build/buildd/insighttoolkit-3.6.0/Utilities -I/build/buildd/insighttoolkit-3.6.0/Utilities/vxl/v3p/netlib -I/build/buildd/insighttoolkit-3.6.0/Utilities/vxl/vcl -I/build/buildd/insighttoolkit-3.6.0/Utilities/vxl/core -I/build/buildd/insighttoolkit-3.6.0/Build/Utilities/vxl/v3p/netlib -I/build/buildd/insighttoolkit-3.6.0/Build/Utilities/vxl/vcl -I/build/buildd/insighttoolkit-3.6.0/Build/Utilities/vxl/core -I/build/buildd/insighttoolkit-3.6.0/Build/Utilities/gdcm -I/build/buildd/insighttoolkit-3.6.0/Utilities/gdcm/src   -DKWSYS_NAMESPACE=itksys -o Utilities/kwsys/CMakeFiles/itksys.dir/Registry.o -c /build/buildd/insighttoolkit-3.6.0/Utilities/kwsys/Registry.cxx
> /usr/bin/cmake -E cmake_progress_report /build/buildd/insighttoolkit-3.6.0/Build/CMakeFiles 
> [  1%] Building CXX object Utilities/kwsys/CMakeFiles/itksys.dir/SystemInformation.o
> /usr/bin/c++   -Ditksys_EXPORTS -Wno-deprecated  -ftemplate-depth-50 -O2 -g -fPIC -I/build/buildd/insighttoolkit-3.6.0/Build -I/build/buildd/insighttoolkit-3.6.0/Code/Algorithms -I/build/buildd/insighttoolkit-3.6.0/Code/BasicFilters -I/build/buildd/insighttoolkit-3.6.0/Code/Common -I/build/buildd/insighttoolkit-3.6.0/Code/Numerics -I/build/buildd/insighttoolkit-3.6.0/Code/IO -I/build/buildd/insighttoolkit-3.6.0/Code/Numerics/FEM -I/build/buildd/insighttoolkit-3.6.0/Code/Numerics/Statistics -I/build/buildd/insighttoolkit-3.6.0/Code/Numerics/NeuralNetworks -I/build/buildd/insighttoolkit-3.6.0/Code/SpatialObject -I/build/buildd/insighttoolkit-3.6.0/Utilities/MetaIO -I/build/buildd/insighttoolkit-3.6.0/Utilities/NrrdIO -I/build/buildd/insighttoolkit-3.6.0/Build/Utilities/NrrdIO -I/build/buildd/insighttoolkit-3.6.0/Utilities/DICOMParser -I/build/buildd/insighttoolkit-3.6.0/Build/Utilities/DICOMParser -I/build/buildd/insighttoolkit-3.6.0/Build/Utilities/expat -I/build/buildd/insighttoolkit-3.6.0/Utilities/expat -I/build/buildd/insighttoolkit-3.6.0/Utilities/nifti/niftilib -I/build/buildd/insighttoolkit-3.6.0/Utilities/nifti/znzlib -I/build/buildd/insighttoolkit-3.6.0/Utilities/itkExtHdrs -I/build/buildd/insighttoolkit-3.6.0/Build/Utilities -I/build/buildd/insighttoolkit-3.6.0/Utilities -I/build/buildd/insighttoolkit-3.6.0/Utilities/vxl/v3p/netlib -I/build/buildd/insighttoolkit-3.6.0/Utilities/vxl/vcl -I/build/buildd/insighttoolkit-3.6.0/Utilities/vxl/core -I/build/buildd/insighttoolkit-3.6.0/Build/Utilities/vxl/v3p/netlib -I/build/buildd/insighttoolkit-3.6.0/Build/Utilities/vxl/vcl -I/build/buildd/insighttoolkit-3.6.0/Build/Utilities/vxl/core -I/build/buildd/insighttoolkit-3.6.0/Build/Utilities/gdcm -I/build/buildd/insighttoolkit-3.6.0/Utilities/gdcm/src   -DKWSYS_NAMESPACE=itksys -o Utilities/kwsys/CMakeFiles/itksys.dir/SystemInformation.o -c /build/buildd/insighttoolkit-3.6.0/Utilities/kwsys/SystemInformation.cxx
> In file included from /usr/include/sys/procfs.h:36,
>                  from /build/buildd/insighttoolkit-3.6.0/Utilities/kwsys/SystemInformation.cxx:49:
> /usr/include/sys/user.h:1:24: error: linux/user.h: No such file or directory
> make[3]: *** [Utilities/kwsys/CMakeFiles/itksys.dir/SystemInformation.o] Error 1
> make[3]: Leaving directory `/build/buildd/insighttoolkit-3.6.0/Build'
> make[2]: *** [Utilities/kwsys/CMakeFiles/itksys.dir/all] Error 2
> make[2]: Leaving directory `/build/buildd/insighttoolkit-3.6.0/Build'
> make[1]: *** [all] Error 2
> make[1]: Leaving directory `/build/buildd/insighttoolkit-3.6.0/Build'
> make: *** [debian/stamp-makefile-build] Error 2
> dpkg-buildpackage: failure: debian/rules build gave error exit status 2

A full build log can be found at:
http://buildd.debian.org/build.php?arch=hppa&pkg=insighttoolkit&ver=3.6.0-3





Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#484045; Package insighttoolkit. Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 484045@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: lamont@debian.org, 484045@bugs.debian.org
Cc: debian-hppa@lists.debian.org
Subject: Re: Bug#484045: insighttoolkit_3.6.0-3(hppa/unstable): FTBFS: missing linux/user.h
Date: Mon, 02 Jun 2008 00:21:16 -0500
[Message part 1 (text/plain, inline)]
Lamont,

This is bug #480093 (sys/user.h broken on (at least) hppa) which
has been fixed in glibc/2.7-11.  

Who should I notify to have the HPPA build machines updated?



On Sun, Jun 01, 2008 at 09:25:11PM -0600, lamont@debian.org wrote:

> > In file included from /usr/include/sys/procfs.h:36,
> >                  from /build/buildd/insighttoolkit-3.6.0/Utilities/kwsys/SystemInformation.cxx:49:
> > /usr/include/sys/user.h:1:24: error: linux/user.h: No such file or directory

Notice that it is <sys/user.h> that includes the nonexistent <linux/user.h>.

Regards,
-Steve
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `insighttoolkit' to `general'. Request was from "Steve M. Robbins" <steve@sumost.ca> to control@bugs.debian.org. (Tue, 03 Jun 2008 02:30:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>:
Bug#484045; Package general. Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to <debian-devel@lists.debian.org>. Full text and rfc822 format available.

Message #17 received at 484045@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 484045@bugs.debian.org, hppa@buildd.debian.org, "Steve M. Robbins" <steve@sumost.ca>
Subject: this is fixed by now, isn't it?
Date: Tue, 2 Sep 2008 15:46:52 +0200
[Message part 1 (text/plain, inline)]
Hi,

> This is bug #480093 (sys/user.h broken on (at least) hppa) which
> has been fixed in glibc/2.7-11.  
> Who should I notify to have the HPPA build machines updated?

hppa@buildd.debian.org 

Do I assume correctly, that in the last three month glibc has been updated on 
the hppa buildds? If so, please close this bug, thanks.


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Reply sent to LaMont Jones <lamont@mmjgroup.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to lamont@debian.org:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 484045-done@bugs.debian.org (full text, mbox):

From: LaMont Jones <lamont@mmjgroup.com>
To: Holger Levsen <holger@layer-acht.org>
Cc: 484045-done@bugs.debian.org, hppa@buildd.debian.org, "Steve M. Robbins" <steve@sumost.ca>
Subject: Re: this is fixed by now, isn't it?
Date: Tue, 2 Sep 2008 08:58:36 -0600
On Tue, Sep 02, 2008 at 03:46:52PM +0200, Holger Levsen wrote:
> Do I assume correctly, that in the last three month glibc has been updated on 
> the hppa buildds? If so, please close this bug, thanks.

2.7-13 is currently installed.

lamont




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 01 Oct 2008 07:29:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:48:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.